package com.micromuse.response.server.soapserver;

import com.micromuse.response.common.soap.*;

import javax.xml.rpc.Stub;

import java.util.*;
import java.io.*;

/**
 * This policy demonstrates how to connect to the Webservice listener, login
 * and execute a policy in Impact. The endpoint info needed for this class can
 * be obtained by using the other utility program, WSEndpointFind class.
 */
public class WSTestDL {

  private static String SOAP_HOST_SERVICENAME = "soap_endpoint_host";
  private static String SOAP_PORT_SERVICENAME = "soap_endpoint_port";

  public static void main(String[] args) {

    
    //String endPoint = "http://192.168.1.185:5108/jaxrpc/impact/ImpactWebServiceListener";
    
    if (args.length < 1) {
      System.out.println("Specify the end point for the ImpactWebServiceListener");
      System.out.println("The syntax of the command is:");
      System.out.println("java com.micromuse.response.server.soapserver.WSTest endpoint [userid] [password]");
      System.exit(1);
    }

    String endPoint = args[0];
    System.out.println("The endpoint to connect to is: " + endPoint);

    String userId = "admin";
    String password = "netcool";
    if (args.length > 2) {
      userId = args[1];
      password = args[2];
    }

    System.out.println("Userid is " + userId);
    Stub stub = null;
    try {
	stub = (Stub) (new ImpactWebServiceListenerDL_Impl()).getImpactWebServiceListenerDLIfcPort();
      stub._setProperty(Stub.ENDPOINT_ADDRESS_PROPERTY, endPoint);
      ImpactWebServiceListenerDLIfc listener = (ImpactWebServiceListenerDLIfc) stub;
      System.out.println("Attempting to log");

      WSListenerId lid = listener.login(userId, password);
      System.out.println("Successfully logged in. Object id is " + lid.getClientId() + ":" + lid.getObjectId());

      // In the following piece of code, we will execute a policy called
      // WSListenerTestPolicy. To this policy we send one parameter with name
      // "PARAM1" and value "VALUE1". The result of executing this policy will
      // be in the captured and printed.
      WSPolicyUserParameter[] wParams = new WSPolicyUserParameter[1];
      WSPolicyUserParameter thisParam = new WSPolicyUserParameter();
      thisParam.setName("PARAM1");
      thisParam.setValue("VALUE1");
      thisParam.setFormat("String");
      wParams[0] = thisParam;
      PolicyExecutionResult[] results = listener.runPolicy(lid, "WSListenerTestPolicy", wParams, true);
      System.out.println("Executed the policy");
      for (int i = 0; i < results.length; ++i) {
        System.out.println(i + "th name: " + results[i].getName() + " value is " + results[i].getValue());
      }
    } catch (Exception ex) {
      ex.printStackTrace(System.out);
    }

  }

}
