#!/bin/sh
##
# This is a sample test program to test the functionality of the Impact 4.0 
# WebService listener. It assumes the following:
#    1) There is a policy called WSListenerTestPolicy defined in Impact that
#       will be run by executing this program.
#    2) This policy takes one user parameter called "PARAM1".
#    3) The output that needs to be sent back from this policy execution will
#       be defined in a context variable called WSListenerResult. This example
#       policy is also packaged.
# The endpoint info needed to invoke this program can be obtained by running
# the $NCHOME/impact/bin/nci_findendpoint.sh script which returns the soap 
# endpoint of the Webservice listener.
#
##


RUNTIME="15"
INITIAL_MEMORY="32M"

case $# in
0) echo "Invalid Arguments for WebserviceTest.sh script, should be "; echo "WebServiceTest.sh serverName soapendpoint [userid] [password]";exit;;
1) echo "Invalid Arguments for WebserviceTest.sh script, should be "; echo "WebServiceTest.sh serverName soapendpoint [userid] [password]";exit;;
esac


pwddir=`pwd`

if [ -z "$NCHOME" ]; then
    echo "NCHOME is not set. exit..."
    exit 1
fi

if [ -z "$IMPACT_HOME" ]; then
    IMPACT_HOME=$NCHOME/impact export IMPACT_HOME
fi

if [ -z "$WASCE_HOME" ]; then
    WASCE_HOME=$NCHOME/wasce
fi

cd $IMPACT_HOME
. ./bin/.nci_wrapper
. ./lib/build_def
. ${NCHOME}/platform/${ARCH}/runtime_def_${RUNTIME}
. ./lib/optional_def


## Bail out if hpux10 - not supported
if [ ${ARCH} = "hpux10" ]; then
    echo "hpux10 server not supported. Please contact support@micromuse.com for more details."
    exit 1
fi

case "$1" in
    -version )
        echo "Runtime Architecture: ${ARCH}"
        ${VM_RUNTIME} -version 2>&1 | sed s/java/runtime/g
        echo "Build: ${JAR}"
        echo "Runtime Options: ${JAVA_OPTS} ${IMPACT_OPTS}"
        exit 0
        ;;
esac

unset CLASSPATH
unset LD_LIBRARY_PATH
unset THREADS_FLAG

TOOLS_JAR=${NCHOME}/platform/${ARCH}/jdk_1.5.0/lib/tools.jar

${VM_RUNTIME} ${JAVA_OPTS}  -Dname=$1 -cp $pwddir/dl.jar:$pwddir/wslib.jar:${JAR}:${TOOLS_JAR}::${IMPACT_HOME}/lib/nciClient.jar com.micromuse.response.server.soapserver.WSTestDL $2 $3 $4



